/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "clipboard.h"

Clipboard::Clipboard(QObject *parent) : QObject(parent)
{
    QClipboard *selectClip = QApplication::clipboard();

}

QString Clipboard::getClipText()
{
    return selectClip->text(QClipboard::Mode::Selection);;
}

bool Clipboard::isScribeWordsDisabled()
{
    return scribeWordsDisabled;
}

void Clipboard::clearClipText()
{
}

void Clipboard::onScribeWordsDisabled()
{
    scribeWordsDisabled = true;
}

void Clipboard::onScribeWordsIsabled()
{
    scribeWordsDisabled = false;
 }

bool Clipboard::isScribeWordsVisible()
{
    if(!scribeWordsDisabled
        && ConfigManager::getInstance()->getConfigValue("is-stroke-word").toBool())
    {
       return true;
    }

    return false;
}

void Clipboard::setText(const QString &text)
{
    selectClip->setText(text);
}
